Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Interface WebLogicMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster

All Known Implementing Classes:
  MigrationDataRuntimeMBeanImpl, weblogic.management.runtime.RuntimeMBeanDelegate

    public interface WebLogicMBean

extends DynamicMBean, MBeanRegistration, NotificationBroadcaster

The super interface for all WebLogic Server MBeans.

You can use WebLogic Server MBeans to configure, monitor, and manage WebLogic Server resources through JMX.

This MBean, and therefore all WebLogic Server MBeans, extend the following standard JMX interfaces:

javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

The name of a cluster denotes its logical cluster name.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

See Also:
  `weblogic.management.configuration`, `weblogic.management.runtime`

Method Summary
`MBeanInfo` | `getMBeanInfo()` Deprecated.
`String` | `getName()` The name of this configuration.
`WebLogicObjectName` | `getObjectName()` Deprecated.
`WebLogicMBean` | `getParent()` Return the immediate parent for this MBean
`String` | `getType()` Returns the type of the MBean.
`boolean` | `isCachingDisabled()` Private property that disables caching in proxies.
`boolean` | `isRegistered()` Deprecated.
`void` | `setParent(WebLogicMBean parent)` Change the parent for this MBean

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    String getName()

  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

### getType

    String getType()

  Returns the type of the MBean.

  Returns:
    a shortened version of the class name less the MBean

### getObjectName

    WebLogicObjectName getObjectName()

  Deprecated.

  Returns the ObjectName under which this MBean is registered in the MBean server.

### getMBeanInfo

    MBeanInfo getMBeanInfo()

  Deprecated.

  Returns the MBean info for this MBean.

  Specified by:
    `getMBeanInfo` in interface `DynamicMBean`

### isCachingDisabled

    boolean isCachingDisabled()

  Private property that disables caching in proxies.

### getParent

    WebLogicMBean getParent()

  Return the immediate parent for this MBean

### setParent

    void setParent(WebLogicMBean parent)
                   throws weblogic.management.configuration.ConfigurationException

  Change the parent for this MBean

  Throws:
    `weblogic.management.configuration.ConfigurationException`

### isRegistered

    boolean isRegistered()

  Deprecated.

  Returns false if the the MBean represented by this object has been unregistered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD